Inhalte
Index 🔎︎

# Add-in-Funktionen

Im Folgenden werden einige der verfügbaren Add-in-Funktionen aufgeführt und erläutert.

Add-in-Konzept

In der Hilfe finden Sie auch eine Beschreibung der LibreOffice Calc-Add-in-Schnittstelle. Darüber hinaus sind dort die für eine Shared Library LibreOffice Calc-Add-in-DLL benötigten Funktionen und ihre Parameter beschrieben.

## Die mitgelieferten Add-ins

LibreOffice enthält Beispiele für die Add-in-Schnittstelle von LibreOffice Calc.

Analysis-Funktionen Teil 1

Analysis-Funktionen Teil 2

## ISTSCHALTJAHR

Hier wird ermittelt, ob das Jahr eines Datums ein Schaltjahr ist. Ist das der Fall, liefert diese Funktion den Wert 1 (WAHR), anderenfalls 0 (FALSCH).

#### Syntax

ISTSCHALTJAHR(Datum)

Datum gibt an, ob ein gegebenes Datum in ein Schaltjahr fällt. Der Parameter Datum muss ein gültiges Datum sein.

#### Beispiel

=ISTSCHALTJAHR(A1) ergibt 1, wenn A1 die Zahlenfolge 1968-02-29 enthält, das in Ihren lokalen Einstellungen gültige Datum für den 29. Februar 1968.

Sie können auch =ISTSCHALTJAHR(DATUM(1968;2;29)) oder =ISTSCHALTJAHR("1968-02-29"), in der ISO 8601-Schreibweise, verwenden.

Verwenden Sie nie =ISTSCHALTJAHR(2/29/68), wodurch zuerst 2 durch 29 und 68 dividiert wird und dann aus der kleinen Zahl, die sich aus der Division ergibt, die Funktion ISTSCHALTJAHR als serieller Wert für Datumsangaben berechnet wird.

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.ISLEAPYEAR

## JAHRE

Bestimmt die Jahresdifferenz zweier Daten.

#### Syntax

JAHRE(Anfangsdatum; Enddatum; Typ)

Anfangsdatum ist das erste Datum

Enddatum ist das zweite Datum

Typ berechnet den Differenztyp. Mögliche Werte sind 0 (Intervall) und 1 (in Kalenderjahren).

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.YEARS

## MONATE

Bestimmt die Monatsdifferenz zweier Daten.

#### Syntax

MONATE(Anfangsdatum; Enddatum; Typ)

Anfangsdatum ist das erste Datum

Enddatum ist das zweite Datum

Typ berechnet den Differenztyp. Mögliche Werte sind 0 (Intervall) und 1 (in Kalendermonaten).

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.MONTHS

## ROT13

Verschlüsselt eine Zeichenfolge durch Verschiebung der Zeichen um 13 Zeichen im Alphabet. Nach dem Buchstaben Z wird das Alphabet erneut durchlaufen (Rotation). Durch erneutes Anwenden der Verschlüsselungsfunktion auf den entstandenen Code kann der Text wieder entschlüsselt werden.

#### Syntax

ROT13(Text)

Text ist die Zeichenfolge, die verschlüsselt werden soll. ROT13(ROT13(Text)) entschlüsselt den Code.

#### Beispiel

=ROT13("Gur Qbphzrag Sbhaqngvba jheqr vz Frcgrzore 2010 trteüaqrg.") ergibt die Zeichenfolge "The Document Foundation wurde im September 2010 gegründet.". Beachten Sie, dass Leerzeichen, Ziffern, Punkte und Umlaute nicht von ROT13 beeinflusst werden.

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.ROT13

Lesen Sie für weitere Details über diese Funktion die Wikipedia-Seite ROT13 (in Englisch).

## TAGEIMJAHR

Hiermit berechnen Sie die Anzahl an Tagen in dem Jahr, in dem das eingegebene Datum eintritt.

#### Syntax

TAGEIMJAHR(Datum)

Datum ist ein Datum im entsprechenden Jahr. Der Parameter Datum muss entsprechend den lokalen Einstellungen von LibreOffice gültig sein.

#### Beispiel

=TAGEIMJAHR(A1) ergibt 366 Tage, wenn A1 die Zahlenfolge 1968-02-29 enthält, ein gültiges Datum im Jahr 1968.

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.DAYSINYEAR

## TAGEIMMONAT

Hiermit berechnen Sie die Anzahl an Tagen in dem Monat, in dem das eingegebene Datum eintritt.

#### Syntax

TAGEIMMONAT(Datum)

Datum ist ein Datum im entsprechenden Monat des betreffenden Jahres. Der Parameter Datum muss entsprechend den lokalen Einstellungen von LibreOffice gültig sein.

#### Beispiel

=TAGEIMMONAT(A1) ergibt 29 Tage, wenn A1 die Zahlenfolge 1968-02-17 ergibt, ein gültiges Datum im Februar 1968.

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.DAYSINMONTH

## WOCHEN

Bestimmt die Wochendifferenz zweier Daten.

#### Syntax

WOCHEN(Anfangsdatum; Enddatum; Typ)

Anfangsdatum ist das Anfangsdatum im Intervall.

Enddatum ist das Enddatum im Intervall. Das Enddatum muss nach dem Anfangsdatum liegen, andernfalls wird ein Fehler zurückgegeben.

Typ gibt den Typ der zu berechnenden Differenz an. Mögliche Werte sind 0 (Zeitintervall) oder 1 (Kalenderwochen).

Bei Typ = 0 geht die Funktion davon aus, dass 7 Tage einer Woche entsprechen, ohne einen bestimmten Tag als Wochenbeginn zu berücksichtigen.

Bei Typ = 1 betrachtet die Funktion den Montag als den ersten Tag der Woche. Daher wird mit Ausnahme des Startdatums jedes Vorkommen eines Montags im Intervall als zusätzliche Woche gezählt.

Diese Funktion betrachtet den Montag unabhängig von den aktuellen Gebietsschemaeinstellungen als den ersten Tag der Woche.

#### Beispiel

In den folgenden Beispielen werden Datumsangaben als Zeichenfolgen übergeben. Sie können aber auch in separaten Zellen gespeichert und als Referenzen übergeben werden.

=WOCHEN("12.01.2022";"17.01.2022";0) gibt 0 zurück, da Typ auf 0 gesetzt wurde und nur 5 Tage im Intervall vorhanden sind.

=WOCHEN("12.01.2022";"19.01.2022";0) gibt 1 zurück, weil Typ auf 0 gesetzt wurde und 7 Tage im Intervall sind.

=WOCHEN("12.01.2022";"17.01.2022";1) gibt 1 zurück, weil Type auf 1 gesetzt wurde und das Intervall einen Montag enthält, da der 12.01.2022 ein Mittwoch und der 17.01.2022 ein Montag ist.

=WOCHEN("10.01.2022";"15.01.2022";1) gibt 0 zurück, weil Typ auf 1 gesetzt wurde und das Intervall keine Montage enthält, mit Ausnahme des Startdatums.

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.WEEKS

## WOCHENIMJAHR

Hiermit berechnen Sie die Anzahl an Wochen in dem Jahr, in dem das eingegebene Datum eintritt. Die Kalenderwoche ist dabei so definiert, dass die Woche zum Jahreswechsel dem Jahr zugerechnet wird, in dem die meisten Tage der Woche liegen.

#### Syntax

WOCHENIMJAHR(Datum)

Datum ist ein Datum im entsprechenden Jahr. Der Parameter Datum muss entsprechend den lokalen Einstellungen von LibreOffice gültig sein.

#### Beispiel

WOCHENIMJAHR(A1) ergibt 53, wenn A1 die Zahlenfolge 1970-02-17 enthält, ein gültiges Datum im Jahr 1970.

#### Technische Information

Diese Funktion ist nicht Bestandteil des Standards Open Document Format für Office-Anwendungen (OpenDocument) Version 1.3. Teil 4: Format für neu berechnete Formeln (OpenFormula). Der Namensraum ist

ORG.OPENOFFICE.WEEKSINYEAR

## Add-ins über die LibreOffice API

Add-ins lassen sich auch über die LibreOffice-API implementieren.

Verwandte Themen

Funktionen nach Kategorie